Retrieve a knowledge store

This method retrieves the details of a specific knowledge store.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

knowledge_store_idstringRequired
The unique identifier of the knowledge store.

Response

The knowledge store has been successfully retrieved.
_idstring
The unique identifier of the knowledge store.
namestring
The name of the knowledge store.
descriptionstring
An optional description of the knowledge store.
ingestion_configobject
The ingestion configuration set when this knowledge store was created. Immutable.
item_countintegerRead-only
The number of items in the knowledge store.
created_atstringformat: "date-time"
The date and time when the knowledge store was created, in the RFC 3339 format.
updated_atstringformat: "date-time"
The date and time when the knowledge store was last updated, in the RFC 3339 format.
metadatamap from strings to strings
Custom metadata for the knowledge store.

Errors

400
Bad Request Error